Get ZFS dashboard history delta
GET
/zfs/dashboard/history/delta
const url = 'https://sylve.lan:8181/api/zfs/dashboard/history/delta?poolAfter=1&arcAfter=1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/zfs/dashboard/history/delta?poolAfter=1&arcAfter=1' \ --header 'Authorization: <Authorization>'Retrieves pool and ARC telemetry newer than the supplied cursors
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”poolAfter
required
integer
Last received pool telemetry row ID
arcAfter
required
integer
Last received ARC telemetry row ID
poolGuid
string
Optional pool GUID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
arc
Array<object>
object
compressedSize
integer
dataSize
integer
demandHitRatio
number
evictNotEnoughEvents
integer
evictionsPerSecond
number
headerSize
integer
hitRatio
number
id
integer
l2Allocated
integer
l2DeviceCount
integer
l2HitRatio
number
l2ReadBytesPerSecond
integer
l2Size
integer
l2WriteBytesPerSecond
integer
maxSize
integer
memoryThrottleEvents
integer
metadataSize
integer
minSize
integer
otherSize
integer
prefetchHitRatio
number
size
integer
targetSize
integer
time
integer
uncompressedSize
integer
cursors
object
arc
integer
pool
integer
generatedAt
integer
pools
Array<object>
object
guid
string
name
string
points
Array<object>
object
allocated
integer
dedupRatio
number
fragmentation
number
free
integer
health
string
id
integer
intervalSeconds
integer
maxReadBytesPerSecond
integer
maxReadIOPS
integer
maxReadLatencyNanos
integer
maxWriteBytesPerSecond
integer
maxWriteIOPS
integer
maxWriteLatencyNanos
integer
readBytesPerSecond
integer
readIOPS
integer
readLatencyNanos
integer
sampleCount
integer
size
integer
time
integer
worstHealth
string
writeBytesPerSecond
integer
writeIOPS
integer
writeLatencyNanos
integer
resetRequired
boolean
resolutionSeconds
integer
error
string
message
string
status
string
Examplegenerated
{ "data": { "arc": [ { "compressedSize": 1, "dataSize": 1, "demandHitRatio": 1, "evictNotEnoughEvents": 1, "evictionsPerSecond": 1, "headerSize": 1, "hitRatio": 1, "id": 1, "l2Allocated": 1, "l2DeviceCount": 1, "l2HitRatio": 1, "l2ReadBytesPerSecond": 1, "l2Size": 1, "l2WriteBytesPerSecond": 1, "maxSize": 1, "memoryThrottleEvents": 1, "metadataSize": 1, "minSize": 1, "otherSize": 1, "prefetchHitRatio": 1, "size": 1, "targetSize": 1, "time": 1, "uncompressedSize": 1 } ], "cursors": { "arc": 1, "pool": 1 }, "generatedAt": 1, "pools": [ { "guid": "example", "name": "example", "points": [ { "allocated": 1, "dedupRatio": 1, "fragmentation": 1, "free": 1, "health": "example", "id": 1, "intervalSeconds": 1, "maxReadBytesPerSecond": 1, "maxReadIOPS": 1, "maxReadLatencyNanos": 1, "maxWriteBytesPerSecond": 1, "maxWriteIOPS": 1, "maxWriteLatencyNanos": 1, "readBytesPerSecond": 1, "readIOPS": 1, "readLatencyNanos": 1, "sampleCount": 1, "size": 1, "time": 1, "worstHealth": "example", "writeBytesPerSecond": 1, "writeIOPS": 1, "writeLatencyNanos": 1 } ] } ], "resetRequired": true, "resolutionSeconds": 1 }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Pool Not Managed
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}